Skip to main content
POST
/
v1
/
transaction
/
{id}
/
alter
Alter information of a transaction.
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/transaction/{id}/alter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": [
    {
      "setStatusAction": {
        "status": "<string>"
      },
      "setPropertyAction": {
        "key": "<string>",
        "value": "<string>",
        "mode": "<string>"
      },
      "unsetPropertyAction": {
        "key": "<string>",
        "mode": "<string>"
      }
    }
  ],
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "context": {},
  "id": [
    "<string>"
  ]
}
'
{
  "status": "<string>",
  "properties": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Alter a transaction with a list of actions. The server should either succeed and apply all actions, or fail and apply no action.

actions
object[]
required
Minimum array length: 1
identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]

Response

Response of AlterTransaction

status
string
required

The status of a transaction. Case insensitive, supports both PascalCase and snake_case. Valid values are:

  • Queued: the transaction is queued and not yet started
  • Running: the transaction is currently running
  • Succeeded: the transaction has completed successfully
  • Failed: the transaction has failed
  • Canceled: the transaction was canceled
properties
object